<?
include_once('phone.php');

if (!empty($_POST['func'])) {
  $data = array();
  if ($_POST['func'] == 'incoming') {
    $data['incoming'] = read_directory('incoming');
  } elseif ($_POST['func'] == 'archive') {
    $data['archive'] = read_directory('archive');
  } elseif ($_POST['func'] == 'archive_call') {
    archive_call($_POST['call']);
  } elseif ($_POST['func'] == 'delete_call') {
    delete_call($_POST['dir'],$_POST['call']);
  } elseif ($_POST['func'] == 'callinfo') {
    $data = callinfo($_POST['dir'],$_POST['call']);
    $data['dir'] = $_POST['dir'];
    $data['call'] = $_POST['call'];
  } elseif ($_POST['func'] == 'save') {
    save_call();
  } elseif ($_POST['func'] == 'messages') {
    $data['messages'] = read_directory('messages');
  }
  header('Content-type: application/json; charset=UTF-8');
  echo json_encode($data);
  exit;
} elseif (!empty($_GET['dir']) && !empty($_GET['call'])) {
  send_call($_GET['dir'], $_GET['call']);
  exit;
}

?>
<html>
<head>
<title>Infodrom Phone Answering Machine</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="phone.css" rel="stylesheet" type="text/css">
</head>
<script type="text/javascript" src="lib/json_parse.js"></script>
<script type="text/javascript" src="lib/basics.js"></script>
<script type="text/javascript" src="phone.js"></script>
<script type="text/javascript" src="lib/debug_joey.js"></script>

<body onload="page_init()">
<div style="margin-top: -5px">
</div>

<div>
<div class="phonebox" id="incoming">
<p class="title">Incoming Calls</p>
<div class="phonelist">
<ul class="phonelist" id="incoming_calls">
<li>Loading data...</li>
</ul>
</div>
</div>

<div class="phonebox" id="archive">
<p class="title">Archived Calls</p>
<div class="phonelist">
<ul class="phonelist" id="archive_calls">
<li>Loading data...</li>
</ul>
</div>
</div>

</div>

<div class="controls">
<img src="lib/reload.png" onclick="reload()" title="Check phone box"><br>
<img src="lib/config.png" onclick="toggle_messages()" title="Display configured messages" style="margin-top: 10px;">
</div>

<div class="phonecall">
<p class="title">Play message</p>
<p id="callspeaker">&nbsp;</p>
<iframe class="phonecall" id="phonecall"></iframe>
<p id="calldate">&nbsp;</p>
<p id="callnote"></p>
</div>

<div class="editcall" id="container_edit">
<p class="title">Edit message</p>
<div style="padding-left: 5px;">
<form id="edit_form">
<span id="edit_date">&nbsp;</span><br>
<input id="edit_dir" type="hidden">
<input id="edit_call" type="hidden">
Name<br><input id="edit_name" type="text" size="31"><br>
Note<br><input id="edit_note" type="text" size="31"><br>
<input type="button" class="button" value="Save" onclick="save()" style="margin-top: 5px;">
<span id="edit_status"></span>
</form>
</div>
</div>

<div class="editcall" id="container_config" style="display: none;">
<p class="title">Configured messages</p>
<ul class="phonelist" id="internal_calls">
<li>Loading data...</li>
</ul>
</div>

</body>
</html>
